# CREATE AN ISSUE

Always perform a search to see if your Issue as been already reported.


## Generic Guidelines

Issues must use one of the available templates and all topics marked as required must be filled, by erasing the current
help and example info on them and write your own text.

All optional topics not used must maintain their title and have their body replaced by 'N/A'.

When any created issue do not follow this guidelines it will not be considered.

Each issue will have is own Branch that are created as demonstrated [here](docs/how-to/create_branches).


## Bug Fix / Security Fix

Each issue should only target a specific bug or security flaw, unless they are tightly coupled to the point you can't
solve them separately.

Create the issue [here](https://gitlab.com/exadra37-learning/all-about-https/issues/new) with the template
`bug_or_security_fix.md`.


## New Feature / Improve Feature / Refracting Code

Starts with the [Creation of a Milestone](https://gitlab.com/exadra37-learning/all-about-https/milestones/new).

Now we should split what we want to do in many tasks as we can by creating an Issue for each task and assign the issue
to the Milestone.

Create each issue [here](https://gitlab.com/exadra37-learning/all-about-https/issues/new) using the relevant template:

* `new_feature.md`
* `improve_feature.md`
* `refracting_code.md`
